Modify

Opened 5 years ago

Closed 4 years ago

#6602 closed defect (duplicate)

plugin doesn't handle absence of 'watchlist_version' from database

Reported by: kavehv Owned by: martin_s
Priority: normal Component: WatchlistPlugin
Severity: normal Keywords: upgrade
Cc: Trac Release: 0.11

Description

In upgrading/installing watchlist plugin, I found out that it doesn't handle installations where the database doesn't contain a 'watchlist_version' gracefully. Instead it keeps telling you to upgrade the database. I think the plugin is assuming the presence of that field. Perhaps it should be considered in the exception handling.

Attachments (0)

Change History (2)

comment:1 Changed 5 years ago by anonymous

See patches in #6238

comment:2 Changed 4 years ago by hasienda

  • Keywords upgrade added
  • Resolution set to duplicate
  • Status changed from new to closed

patches are available as mentioned above, however this is the same thing as the referenced ticket #6238

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.